#ifndef FONCTIONUTILE
#define FONCTIONUTILE

#define LCD_WIDTH_PX 384
#define LCD_HEIGHT_PX 216
#define Flip Bdisp_PutDisp_DD
#define Clear Bdisp_AllClr_VRAM

#include "structure.h"


void* GetVRAMAdress();
void CopySpriteNbitMasked(const unsigned char* data, int x, int y, int width, int height, const color_t* palette, color_t maskColor, unsigned int bitwidth);
void CopySpriteNbitMaskedLayer(const unsigned char* data, int x, int y, int width, int height, const color_t* palette, color_t maskColor, unsigned int bitwidth,bool layer, color_t layerColor,int alpha);

int Rand32(int lower, int upper);
int keydown(int basic_keycode);
void plot(int x, int y, color_t color);
void drawLine(int x1, int y1, int x2, int y2, int color) ;
void CopySpriteNbitMasked(const unsigned char* data, int x, int y, int width, int height, const color_t* palette, color_t maskColor, unsigned int bitwidth);
void CopySpriteNbitMaskedAlpha(const unsigned char* data, int x, int y, int width, int height, const color_t* palette, color_t maskColor, unsigned int bitwidth,int alpha);
int sqrt_int (int i);
//void CopySpriteNbitMaskedAlphaMirror(const unsigned char* data, int x, int y, int width, int height, const color_t* palette, color_t maskColor, unsigned int bitwidth,char alpha,char mirror);
//void CopySpriteNbitMaskedMirror(const unsigned char* data, int x, int y, int width, int height, const color_t* palette, color_t maskColor, unsigned int bitwidth,char mirror); //0 = normal, 1 = miroir verticale
//void CopySpriteNbitMaskedMirrorLayer(const unsigned char* data, int x, int y, int width, int height, const color_t* palette, color_t maskColor, unsigned int bitwidth,char mirror,bool layer, color_t layerColor,int alpha); //0 = normal, 1 = miroir verticale;
void BgColor(short color);
int abs(int i);
void FillRectangle(int x0,int y0, int x1, int y1, int couleur);
void FillRectangleAlpha(int x0,int y0, int x1, int y1, int couleur,int alpha);
void BgColorAlpha(int couleur,int alpha);
void drawLineAlpha(int x1, int y1, int x2, int y2, int color,int alpha);
void SetPixelAlpha(int x, int y, color_t color, char alpha);


#endif
