#ifndef MINEFIELD
#define MINEFIELD

#include "structure.h"

typedef enum eTypeAction {none, flaged, clicked,clicked_on_mine,no_bomb_here} eTypeAction;
typedef enum eSmiley    {happy, tension, dead, win} eSmiley;

extern eTypeAction** New_tab2dim_eTypeAction(int height, int lenght);
extern void     Free_tab2dim_eTypeAction(eTypeAction** tab, int height, int lenght);
extern void     Init_tab2dim_eTypeAction(eTypeAction** tab, int height, int lenght);

extern int**    New_tab2dim_int(int height, int lenght);
extern void     Free_tab2dim_int(int** tab, int height, int lenght);
extern void     Init_tab2dim_int(int** tab, int height, int lenght);

extern void     Generate_minefield(int** tab, int height, int lenght, int nb_mine, int clickX, int clickY);

extern void     Display_minefield(int** tab, eTypeAction** tab_action, int height, int lenght, tPos scrolling);
extern void     Display_minefield_border(int height, int lenght, tPos scrolling);
extern void     Display_clicked_field(eTypeAction** tab, int x, int y,tPos scrolling);
extern void     Display_smiley(tPos scrolling,int height, int lenght, eSmiley smile);
extern void     Select_rec (int** minefield,eTypeAction** minefield_action,int height,int lenght,int x, int y);

extern tPos     Scroll_minefield (tPos cursor, tPos scrolling, int height, int lenght);

extern void     Sole_minefield(int** tab, eTypeAction** tab_action, int height, int lenght, eSmiley smile);

#endif
