#include <BFILE_syscalls.h>
#include <stdio.h>
#include "structure.h"
#include "save.h"


bool Save_file(tSaveData game)
{
    unsigned short filename[] = {'\\','\\','f','l','s','0','\\','M','i','n','e','s','w','.','s','a','v',0};
    int size = (int) sizeof(tSaveData); /** file size **/
    int file; /** the file **/
    Bfile_DeleteEntry(filename);
    Bfile_CreateEntry_OS(filename,1,&size);

    file = Bfile_OpenFile_OS(filename,2 ); /** 2  = write **/

    if (file>=0)
    {
        Bfile_WriteFile_OS(file,&game,size);
        Bfile_CloseFile_OS(file);
        return true;
    }
    else
    {
        return false;
    }

}

bool Load_file(tSaveData* game)
{
    unsigned short filename[] = {'\\','\\','f','l','s','0','\\','M','i','n','e','s','w','.','s','a','v',0};
    int size = (int) sizeof(tSaveData);
    int file;

    file = Bfile_OpenFile_OS(filename,0);  /**0 = read **/
    if (file >= 0)
    {
        Bfile_ReadFile_OS(file,game,size,0);
        Bfile_CloseFile_OS(file);
        return true;
    }
    else return false;
}
