#ifndef STRUCTURE
#define STRUCTURE

#define true 1
#define false 0

typedef int bool ;
typedef unsigned short color_t ;

typedef enum eDifficulties {easy, medium, hard, custom} eDifficulties;

typedef struct tPos
{
    int x;
    int y;
} tPos;

typedef struct tScore
{
    int time;
    char name[4];
} tScore;


typedef struct tGame
{
    int num_win;
    int num_lost;
    tScore score[5];

}tGame;

typedef struct tSaveData
{
    int num_game;
    tGame difficult[3]; //easy, medium and hard
} tSaveData;

typedef struct tMinefield
{
    int height;
    int width;
    int number_mine;
    eDifficulties level;
} tMinefield;

#endif
